using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Storage;

namespace Zong
{
    //base class for the paddles
    class Paddle
    {
        public int X;
        public int Y;

        public int Width;
        public int Height;

        public int VY;

        public bool Visible;

        Texture2D mTexture;

        public Paddle(GraphicsDevice theGraphicsDevice, ContentManager theContentManager, int PaddleWidth, int PaddleHeight, int XStart, int YStart)
        {
            X = XStart;
            Y = YStart;

            Width = PaddleWidth;
            Height = PaddleHeight;

            VY = 5;

            Visible = true;

            mTexture = theContentManager.Load<Texture2D>("./images/paddle_42x154") as Texture2D;
        }

        //Draw the paddle
        public void Draw(SpriteBatch theSpriteBatch)
        {
            if (Visible)
            {
                theSpriteBatch.Draw(mTexture, new Rectangle(X, Y, Width, Height), Color.White);
            }
        }

    }
}
