using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Storage;

namespace Zong
{
    class EnemyPaddle : Paddle
    {

        public EnemyPaddle(GraphicsDevice theGraphicsDevice, ContentManager theContentManager, int PaddleWidth, int PaddleHeight, int XStart, int YStart)
            :
            base(theGraphicsDevice, theContentManager, PaddleWidth, PaddleHeight, XStart, YStart)
        {

        }

        public void Update(GameWindow Screen,int BallMiddleY)
        {
            //middle of the paddle
            int MiddleY=Y+(Height/2);
            
            //if the paddle is lower than the ball, move it up every...misses...times
            int Misses = 1;
            int Sucky = 100;
            if(MiddleY > BallMiddleY+new Random().Next(0,Sucky))
            {
                if(new Random().Next(0,Misses)==0)
                {
                    Y-=VY;
                }
            }

            else if (MiddleY < BallMiddleY - new Random().Next(0, Sucky))
            {
                if(new Random().Next(0,Misses)==0)
                {
                    Y+=VY;
                }
            }

            //collisions
            if(Y<=0)
            {
                Y=0;
            }
            else if(Y+Height>=Screen.ClientBounds.Height)
            {
                Y=Screen.ClientBounds.Height-Height;
            }

        }
    }
}
