using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Storage;

namespace Zong
{
    class PlayerPaddle: Paddle
    {
        public PlayerPaddle(GraphicsDevice theGraphicsDevice, ContentManager theContentManager, int PaddleWidth, int PaddleHeight, int XStart, int YStart) : 
            base(theGraphicsDevice,theContentManager,PaddleWidth,PaddleHeight,XStart,YStart)
        {

        }

        public void Update(GameWindow Screen, KeyboardState KeyState)
        {
            if (KeyState.IsKeyDown(Keys.Up))
            {
                Y -= VY;
            }
            if (KeyState.IsKeyDown(Keys.Down))
            {
                Y += VY;
            }

            if (Y <= 0)
            {
                Y = 0;
            }
            else if (Y + Height > Screen.ClientBounds.Height)
            {
                Y = Screen.ClientBounds.Height - Height;
            }

        }
    }
}
